# Function Fees Function Fees ## Creates a new function fee record that does not already exist. - [POST /functionFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/createfunctionfee.md): This method will auto-generate an ID and create a new function fee. If an ID is specified for the function fee, an error will be thrown. ## Execute Batch Operations - [POST /functionFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /functionFees/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/listfeesbyeventid.md): Returns a list of records with the specified event_id ## Returns a list of records with the specified function_id - [GET /functionFees/{tenantId}/function/{function_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/listfeesbyfunctionid.md): Returns a list of records with the specified function_id ## Returns a function fee from the system by its ID. - [DELETE /functionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/deletefunctionfee.md): This method will delete a function fee with the specified ID. ## Returns a function fee from the system by its ID. - [GET /functionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/getfunctionfee.md): This method will look up a function fee by the specified ID and return it back. ## Partially updates a function fee with the specified ID. - [PATCH /functionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/patchfunctionfee.md): This method will patch an existing function fee with the specified ID, using the HTTP PATCH specification. ## Updates a function fee with the specified ID. - [PUT /functionFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/function-fees/updatefunctionfee.md): This method will update an existing function fee with the specified ID.